# ezQuake Manual: Teamplay Communications Variables

## cl_sayfilter_coloredtext

### Description

Allows you to filter your own outgoing messages out of markup that is used in this client to send colored text.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Send messages as they are
1 | Filter out colored markup
2 | Filter out colored and white text markup

Colored text is not supported by some other clients. See cl_sayfilter_sendboth for compatibility mode with other clients. If you want to filter incoming messages out of colors, use scr_coloredtext.

## cl_sayfilter_sendboth

### Description

When used with cl_sayfilter_coloredtext, sends two versions of the teamplay colored messages: colored one with "#c" at the end and uncolored version of the message with "#u" at the end of the message

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Send two versions of the message
0 | Send only one version of the message

FuhQuake users then can use "filter #u" to see only uncolored messages, ezQuake users can set "filter #c" to see only colored messages

## tp_forceTriggers

### Description

Controls whether f_took, f_death etc are forced to execute even if the game isn't a team game.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | On.
0 | Off.

## tp_loadlocs

### Description

Controls whether to load locs for teamplay reporting. Note: The locs should be in your "/id1/locs/", "/ezquake/locs" or "/qw/locs" folder.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | On.
0 | Off.

## tp_msgtriggers

### Description

Switches on/off message triggers

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Message triggers are on
0 | Message triggers are off

For ruleset 'Smackdown' message triggers always are off.

## tp_pointpriorities

### Description

You can choose the way the client decides what object you want to point with $point macro.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Object with highest priority will be chosen. First items in tp_point have highest priorities.
0 | Original, default behavior. The closest object will be chosen.

Priorities of object are given in tp_point command. You have to type all objects manually in tp_point command. Example: tp_point quad ra mh health. In this example, quad has the highest priority and $point will always return quad if quad ra mh are all in your view. Example: tp_point all. You never know what object will be pointed because all objects get the same priority.

## tp_soundtrigger

### Description

SoundTrigger like proxys. A SoundTrigger must be terminated by either a CR, LF or filter. The .wav extension is not required at the end. Trigger is a character before the sound file. Example: filter #a say_team I'm at %l ~location.wav" say_team ~location.wav$\me: I'm at %l #a" say_team ~location$\me: I'm at %l #a" say_team I'm at %l ~location #a"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ~

Variable is float.

## tp_triggers

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable tp triggers.
0 | Disable tp triggers.

## tp_weapon_order

### Description

This allows you to define the order from best to worst weapon. The default value is "78564321", which means that the Rocket Launcher is the best weapon (impulse 7) then Lightning Gun (impulse 8), Super Nailgun (impulse 5), Grenade Launcher (impulse 6), Nailgun (impulse 4), Super Shotgun (impulse 3), Shotgun (impulse 2), Axe (impulse 1).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 78654321

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs